Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class Qt.ArrowType

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.Qt.ArrowType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  Qt

    public static final class Qt.ArrowType

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static Qt.ArrowType` | `DownArrow` Value: DownArrow
`static Qt.ArrowType` | `LeftArrow` Value: LeftArrow
`static Qt.ArrowType` | `NoArrow` Value: NoArrow
`static Qt.ArrowType` | `RightArrow` Value: RightArrow
`static Qt.ArrowType` | `UpArrow` Value: UpArrow

Method Summary
`static Qt.ArrowType` | `resolve(int value)` Returns the ArrowType constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.ArrowType` | `valueOf(java.lang.String name)`
`static Qt.ArrowType[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoArrow

    public static final Qt.ArrowType NoArrow

  Value: NoArrow

### UpArrow

    public static final Qt.ArrowType UpArrow

  Value: UpArrow

### DownArrow

    public static final Qt.ArrowType DownArrow

  Value: DownArrow

### LeftArrow

    public static final Qt.ArrowType LeftArrow

  Value: LeftArrow

### RightArrow

    public static final Qt.ArrowType RightArrow

  Value: RightArrow

Method Detail

### values

    public static Qt.ArrowType[] values()

### valueOf

    public static Qt.ArrowType valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.ArrowType resolve(int value)

  Returns the ArrowType constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD